#' @author Chel Hee Lee <\email{gnustats@@gmail.com}>
#' @method print summary.a90logit
#' @S3method print summary.a90logit
print.summary.a90logit <- function(x, ...){

  converged <- switch(as.character(x$converged),
  "TRUE"="successfully converged", "FALSE"="not converged")
  niters <- x$niters
  tab <- x$tab
  llik <- x$llik
  aic <- x$aic
  N <- x$N
  se.N <- sqrt(x$VarN)
  ci <- c(x$cil, x$ciu)
  cfs <- x$cfs
  npars <- length(cfs)
  alpha <- x$alpha
  
  cat("The model is ", converged, "\n")
  cat("Newton-Raphson method is used \n")
  cat("Number of iterations in optimization is ", niters, "\n\n")
  cat("Coefficients for Logistic Regression Model with logit link\n\n")

  printCoefmat(tab, digits=max(3, getOption("digits")-2), cs.ind=1:2,
  tst.ind=3, P.values=TRUE, ...)

  cat("\nLog-likelihood = ", llik, " on ", npars, "\n")
  cat("AIC = ", aic, "\n\n")
  cat("N =", N, " (with SE=", se.N, ")\n")
  cat((1-alpha)*100, "% CI of N = [", ci[1], ",", ci[2], "]\n")
  
  
  invisible(x)
}
NULL
