## 2013.10.25. from 'lg-ns.R'
library(ipeglim)
rm(list=ls())

source("~/Documents/PhD/ipeglim/pkg/ipeglim/R/cpef2reg.R")
source("~/Documents/PhD/ipeglim/pkg/ipeglim/R/cpef.R")
source("~/Documents/PhD/ipeglim/pkg/ipeglim/R/model.R")
source("~/Documents/PhD/ipeglim/pkg/ipeglim/R/update_imprecise.R")
source("~/Documents/PhD/ipeglim/pkg/ipeglim/R/summary_imprecise.R")
# source("~/Documents/PhD/ipeglim/pkg/ipeglim/R/plot_summary.R")
source("~/Documents/PhD/ipeglim/pkg/ipeglim/R/pbox_imprecise.R")
source("~/Documents/PhD/ipeglim/pkg/ipeglim/R/qc.R")
source("~/Documents/PhD/ipeglim/pkg/ipeglim/R/rvg4yx.R")
source("~/Documents/PhD/ipeglim/pkg/ipeglim/R/iprior.R")
source("~/Documents/PhD/ipeglim/pkg/ipeglim/R/s4xtms.R")
source("~/Documents/PhD/ipeglim/pkg/ipeglim/R/print_imprecise.R")
source("~/Documents/PhD/ipeglim/pkg/ipeglim/R/plot_imprecise.R")
source("~/Documents/PhD/ipeglim/pkg/ipeglim/R/set_grid.R")


# set.seed(1)
y <- rvg4yx(N=1e2, pars=1, ztrunc=TRUE, xreg=FALSE, kind="poisson")$y
table(y)
m2fit <- model(formula=y~0, ztrunc=TRUE, dist="poisson")

lc0 <- list(lhs=rbind(c(1,0), c(-1,0), c(0,1), c(0,-1)), rhs=c(0.05, -10, 0.05, -10))
cmfit <- iprior(obj=m2fit, eqns=lc0, verbose=FALSE)
cmfit <- set.grid(obj=cmfit, len=5)

attributes(cmfit)

SILENT <- TRUE
APRIORI <- "lgamma"
oaq <- update(obj=cmfit, method="AQ", apriori=APRIORI, silent=SILENT)
oaq$m1$x1$ztrunc
saq <- summary(oaq, silent=SILENT)

ola <- update(obj=cmfit, method="LA", apriori=APRIORI, silent=SILENT)
sla <- summary(ola, silent=SILENT)

omh <- update(obj=cmfit, method="MH", apriori=APRIORI, silent=SILENT)
smh <- summary(omh, silent=SILENT)

ois <- update(obj=cmfit, method="IS", apriori=APRIORI, silent=SILENT)
sis <- summary(ois, silent=SILENT)

oas <- update(obj=cmfit, method="AS", apriori=APRIORI, silent=SILENT)
sas <- summary(ois, silent=SILENT)


tb <- cbind(saq$est, sla$est, smh$est, sis$est, sas$est)
colnames(tb) <- c("AQ", "LA", "MH", "IS", "AS")
etb <- exp(tb)
print(tb)

