\name{a90logit}
\alias{a90logit}
\title{Maximum Likelihood Parameter Estimation of Logistic Regression Model
for Capture-Recapture Data}
\usage{
  a90logit(formula, data, nlists = 2, tol = 1e-06,
    max.iter = 100)
}
\arguments{
  \item{formula}{a symbolic description of the model to be
  fit,}

  \item{data}{a data frame containing the variables in the
  model,}

  \item{nlists}{a number of data sources,}

  \item{tol}{distance-based absolute convergence tolerance.
  Default to 1e-6.}

  \item{max.iter}{the number of maximum iterations.
  Default to 1e2 for newton-rasphon method.}
}
\value{
  An object of class \code{a90logit} with components
  including \item{formula}{formula used to be fitted,}
  \item{converged}{integer code which indicates a
  successful completion of optimization process,}
  \item{niters}{integer that indicates a number of
  iterations until convergence to estimates,}
  \item{cfs}{estimated regression coefficients,}
  \item{vcv}{estimated variance-covariance matrix of
  regression coefficients which is obtained by the inverse
  of Hessian matrix} \item{llk}{value of log-likelihood
  function at \code{cfs}.}
}
\description{
  Logistic regression model is used for estimating the
  unknown population size using multiple data sources. The
  model was introduced in the study of Alho (1990) and two
  data sources with binary indication of a case are used.
}
\section{TODO}{
  Newton-Raphson method used in this algorithm can be
  replaced by \code{optim()}.
}

\section{TODO}{
  This program is the initial implementation (without any
  code optimization).
}
\examples{
## Please see the vignette.
}
\author{
  Chel Hee Lee <\email{gnustats@gmail.com}>
}
\references{
  Juha M. Alho (1990), Logistic Regression in
  Capture-Recapture Models, \emph{Biometrics},
  \bold{46}(3), pp. 623-635
}
\seealso{
  see also
}
\keyword{regression}

