\name{pbox}
\alias{pbox}
\alias{pbox.default}
\alias{pbox.summary.imprecise}
\title{Construction of Probability Box}
\usage{
  pbox(x, ...)

  \method{pbox}{default} (x, ...)

  \method{pbox}{summary.imprecise} (x, control = list(),
    pretty = FALSE, verbose = FALSE, ...)
}
\arguments{
  \item{x}{An object of class \code{summary.imprecise} or
  extraced by \code{extractMCHAIN}.}

  \item{control}{control variables}

  \item{pretty}{Logical; Defaults to TRUE; Would you like
  to smoothe the empirical cumulative density curve?  See
  \emph{Details}.}

  \item{...}{other arguments to be passed to \code{pbox}.}
}
\description{
  The function \code{pbox} generates a probability box of
  imprecise posterior distributions using the Markov chain
  produced by \code{method=MH}.
}
\details{
  The function \code{ecdf} is applied to the Markov chain
  at each extrem point. The function \code{density} is used
  to make the empirical cdf smooth.

  If no object that contains a set of Markov chains is
  found, the \code{update.imprecise} procedure with
  \code{method=MH} is automatically taken.
}
\author{
  Chel Hee Lee <\email{gnustats@gmail.com}>
}
\references{
  Lee (2013) ``Imprecise inferential framework'', PhD
  thesis.
}
\seealso{
  \code{\link{density}}, \code{\link{ecdf}},
  \code{\link{update.imprecise}}
}
\keyword{box}
\keyword{probability}

