\name{summary.ztpr}
\alias{print.summary.ztpr}
\alias{summary.ztpr}
\title{Object summaries for Zero-truncated Poisson and Negative Binomial
Regression models and its dispaly}
\usage{
  \method{summary}{ztpreg} (object, alpha = 0.05, k = 2,
    j = 1, LM.test = FALSE, HT.est = FALSE, ...)
}
\arguments{
  \item{object}{a fitted model object,}

  \item{alpha}{a confidence level required
  (\code{alpha=0.05} by default),}

  \item{k}{an integer, the penalty per parameter to be
  used; the \code{k=2} is used for classical AIC (Akaike's
  information criteria),}

  \item{j}{an integer, for Lagrange multiplier test}

  \item{...}{other arguments}

  \item{LM.test}{Lagrange multiplier test}

  \item{HT.est}{Horvitz-Thompson estimator}
}
\value{
  An object of class \code{summary.ztpr} with components
  including \item{tab}{Formatted object to be printed
  including coefficients, standard errors, etc.
  Significance star is also printed with stars,}
  \item{aic}{Akaike Information Criteria,}
  \item{N}{Estimate of unknown population size,}
  \item{VarN}{Variance of \code{N},} \item{ciu}{Upper bound
  of confidence interval,} \item{cil}{Lower bound of
  confidence interval.}
}
\description{
  \code{summary} is a generic function for summarizing
  results produced from Zero-truncated Poisson and Negative
  Binomial models with maximum likelihood estimation. Using
  the estimates of fitted object \code{obj}, the size of
  unknown population \code{N} and its \code{100*(1-alpha)}
  confidence interval are calculated.
}
\note{
  \code{print.summary.ztpr} is a generic function that
  displays all summaries of object generated from
  \code{summary.ztpr}.
}
\author{
  Chel Hee Lee <\email{gnustats@gmail.com}>
}
\seealso{
  \code{\link{AIC}}, \code{\link{extractAIC}},
  \code{\link{printCoefmat}}
}

